Bug 117871 - Spec file corrections/cleanups
Spec file corrections/cleanups
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: SDL (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-09 09:47 EST by Dams
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 08:57:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file diff (1.63 KB, patch)
2004-03-09 09:52 EST, Dams
no flags Details | Diff

  None (edit)
Description Dams 2004-03-09 09:47:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; fr; rv:1.4.1)
Gecko/20031114 Galeon/1.3.13

Description of problem:
This is the story of a man who tried to rebuild SDL-1.2.6-4.1.src.rpm
on FC1.90/rawhide...

1. Build fail when libtool isnt installed :

+ libtoolize --force
/var/tmp/rpm-tmp.56734: line 34: libtoolize: command not found
error: Bad exit status from /var/tmp/rpm-tmp.56734 (%build)

2. Package doesnt rebuild with automake 1.8 :
+ ./autogen.sh
Generating build information using aclocal, automake and autoconf
This may take a while ...
[snip, with lot of warning like]
acinclude.m4:190: warning: underquoted definition of
AC_ENABLE_FAST_INSTALL
acinclude.m4:216: warning: underquoted definition of
AC_DISABLE_FAST_INSTALL
[snip, with other tons of errors of : ]
/usr/share/automake-1.8/am/depend2.am: am__fastdepCC does not appear
in AM_CONDITIONAL
/usr/share/automake-1.8/am/depend2.am: AMDEP does not appear in
AM_CONDITIONAL
[another snip, configure runs and create makefiles]
+ make
cd . && aclocal
acinclude.m4:5: warning: underquoted definition of COPY_ARCH_SRC
  run info '(automake)Extending aclocal'
  or see
http://sources.redhat.com/automake/automake.html#Extending%20aclocal
acinclude.m4:30: warning: underquoted definition of AM_PATH_ESD
acinclude.m4:190: warning: underquoted definition of
AC_ENABLE_FAST_INSTALL
acinclude.m4:190: error: m4_defn: undefined macro: _m4_divert_diversion
/usr/share/aclocal/libtool.m4:1868: AC_ENABLE_FAST_INSTALL is expanded
from...
acinclude.m4:190: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: autom4te failed with exit status: 1
make: *** [aclocal.m4] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.89881 (%build)

If you really want to use aclocal/automake version 1.5 you should
buildrequire it. And you probably should get rid of you 'ln -s' hack.
(see attached patch)

3. SDL-devel should require 'SDL = version-release'. Not only 'SDL =
version' : we dont want to have a static library different from the
shared library, do we ?

4. It seems you want to link SDL against alsa libraries. You should
probably add alsa-lib-devel in build dependencies list, for build
reproducibility.

See attached patch for all suggested changes.

Version-Release number of selected component (if applicable):
1.2.6-4.1

How reproducible: Always
Comment 1 Dams 2004-03-09 09:52:03 EST
Created attachment 98402 [details]
spec file diff 

Suggested spec file changes.
Comment 2 Thomas Woerner 2004-03-09 11:29:00 EST
Thanks.. already fixed in the new package 1.2.7.
Comment 3 Dams 2004-03-09 12:45:28 EST
1. is fixed. 2 is also fixed but autogen.sh runs automake/aclocal 1.8
which takes 3 times longer than automake/aclocal 1.5. Up to you.

3 and 4 are not fixed.

By the way deleting buildroot in %prep is not useful.
Comment 4 Thomas Woerner 2004-03-10 08:57:37 EST
Fixed in rawhide in rpm SDL-1.2.7-2.1 or newer.

Note You need to log in before you can comment on or make changes to this bug.